# FTXUI: component_options.hpp File Reference

Loading...
Searching...
No Matches
component_options.hpp File Reference

Go to the source code of this file.

## Classes

struct | EntryState
| arguments for transform from |ButtonOption|, |CheckboxOption|, |RadioboxOption|, |MenuEntryOption|, |MenuOption|. More...
struct | UnderlineOption
| Option for the underline effect. More...
struct | AnimatedColorOption
| Option about a potentially animated color. More...
struct | AnimatedColorsOption
struct | MenuEntryOption
| Option for the MenuEntry component. More...
struct | MenuOption
| Option for the Menu component. More...
struct | ButtonOption
| Option for the AnimatedButton component. More...
struct | CheckboxOption
| Option for the Checkbox component. More...
struct | InputState
| Used to define style for the Input component. More...
struct | InputOption
| Option for the Input component. More...
struct | RadioboxOption
| Option for the Radiobox component. More...
struct | ResizableSplitOption
struct | SliderOption< T >
struct | WindowRenderState
| State passed to the `Window` component's render function. More...
struct | WindowOptions
struct | DropdownOption
| Option for the Dropdown component.A dropdown menu is a checkbox opening/closing a radiobox. More...

## Namespaces

namespace | ftxui
| The FTXUI ftxui:: namespace.